import { createApp } from "vue";
import { createPinia } from "pinia";
import { useRegisterSW } from "virtual:pwa-register/vue";

import App from "./App.vue";
import router from "./router";

import "element-plus/es/components/message/style/css";
import "@/router/permission";
import "virtual:svg-icons-register";
// css
import "@/styles/tailwind.css";
import "@/styles/main.css";

useRegisterSW();

const app = createApp(App);

app.use(createPinia());
app.use(router);

app.mount("#app");
